import { IntegrationLogger } from '@jupiterone/integration-sdk-core';
import { UserDetails } from './types';
import { IntegrationConfig } from '../config';
import { BaseAPIClient } from '@jupiterone/integration-sdk-http-client';
export declare class RESTClient extends BaseAPIClient {
    private readonly personalToken;
    constructor(config: IntegrationConfig, logger: IntegrationLogger);
    protected getAuthorizationHeaders(): Record<string, string>;
    getUserDetails(id: number): Promise<UserDetails>;
}
export declare function createRESTClient(config: IntegrationConfig, logger: IntegrationLogger): RESTClient;
//# sourceMappingURL=RESTClient.d.ts.map