import { IntegrationProviderAPIError } from '@jupiterone/integration-sdk-core';
export type GitlabError = {
    message: string;
    locations: {
        line: number;
        column: number;
    }[];
    path: string[];
    extensions?: {
        code?: string;
    };
};
interface GraphQLErrorParams {
    endpoint: string;
    errors: GitlabError[];
}
export declare class GraphQLError extends IntegrationProviderAPIError {
    errors: string[];
    constructor(params: GraphQLErrorParams);
}
export {};
//# sourceMappingURL=errors.d.ts.map