"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GraphQLError = void 0;
const integration_sdk_core_1 = require("@jupiterone/integration-sdk-core");
class GraphQLError extends integration_sdk_core_1.IntegrationProviderAPIError {
    errors;
    constructor(params) {
        super({
            endpoint: params.endpoint,
            status: 'UNKNOWN',
            statusText: 'UNKNOWN',
        });
        this.errors = params.errors.map((e) => e.message);
    }
}
exports.GraphQLError = GraphQLError;
//# sourceMappingURL=errors.js.map