"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAPIClient = createAPIClient;
exports.resetClient = resetClient;
const GraphQLClient_1 = require("./GraphQLClient");
let client;
function createAPIClient(config, logger) {
    if (!client) {
        client = new GraphQLClient_1.GraphQLClient(config, logger);
    }
    return client;
}
function resetClient() {
    client = undefined;
}
//# sourceMappingURL=index.js.map