import { Entity } from '@jupiterone/integration-sdk-core';
import { GroupMember, MemberInterface, UserCore } from '../../provider/graphql';
import { UserDetails } from '../../provider/types';
export declare function createUserEntityIdentifier(id: number): string;
export declare function createUserEntity(user: UserCore, details?: UserDetails): Entity;
export declare function createGroupHasUserRelationship({ groupEntityKey, userEntityKey, edge, }: {
    groupEntityKey: string;
    userEntityKey: string;
    edge: GroupMember;
}): import("@jupiterone/integration-sdk-core").ExplicitRelationship;
export declare function createProjectHasUserRelationship({ projectEntityKey, userEntityKey, edge, }: {
    projectEntityKey: string;
    userEntityKey: string;
    edge: MemberInterface;
}): import("@jupiterone/integration-sdk-core").ExplicitRelationship;
//# sourceMappingURL=converter.d.ts.map